import * as ec2 from "aws-cdk-lib/aws-ec2";
import { Construct } from "constructs";
export interface SecurityGroupRuleDefinition {
    readonly peer: ec2.IPeer;
    readonly connection: ec2.Port;
    readonly description?: string;
    readonly remoteRule?: boolean;
}
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function buildSecurityGroup(scope: Construct, name: string, props: ec2.SecurityGroupProps, ingressRules: SecurityGroupRuleDefinition[], egressRules: SecurityGroupRuleDefinition[]): ec2.SecurityGroup;
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function CreateSelfReferencingSecurityGroup(scope: Construct, id: string, vpc: ec2.IVpc, cachePort: any): ec2.SecurityGroup;
